"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function toTerminalString(strings) {
    var substitutions = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        substitutions[_i - 1] = arguments[_i];
    }
    var pieces = replacer(strings);
    var subs = replacer(substitutions);
    var result = pieces[0];
    for (var i = 0; i < subs.length; ++i) {
        result += subs[i] + pieces[i + 1];
    }
    return result.trim();
    function replacer(strings) {
        return strings.map(function (value) { return value.toString().replace(/(\n) +/g, '$1'); });
    }
}
exports.toTerminalString = toTerminalString;
